#!/usr/bin/env bash
# This script installs/updates the Tangerine UI theme.
# Author - packetcat

# Tangerine UI repository directory
REPO="$HOME/TangerineUI-for-Mastodon"
# Mastodon install directory
INSTALLDIR="$HOME/live"

# Clone Tangerine UI repository if it doesn't exist
# If repo exists, just pull updates.

if [ ! -d "$REPO" ]; then
  git clone https://github.com/nileane/TangerineUI-for-Mastodon.git $REPO
else
  cd $REPO
  git pull
fi

# Copy Tangerine UI files into your Mastodon install's styles directory
cp -vr $REPO/mastodon/app/javascript/styles/* $INSTALLDIR/app/javascript/styles

# Copy our themes.yml (Comment this out if you don't want to use this)
cp -v $REPO/mastodon/config/themes.yml $INSTALLDIR/config/themes.yml

cd $INSTALLDIR
RAILS_ENV=production bundle exec rails assets:precompile && echo "ALl done! Restart Mastodon processes for the changes to take effect!"

